%define upstream_name Complete
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Convention for Complete::* modules family and common settings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
The namespace Complete:: is used for the family of modules that deal
with completion (including, but not limited to, shell tab completion,
tab completion feature in other CLI-based application, web
autocomplete, completion in GUI, etc). This (family of) modules try to
have a clear separation between general completion routine and
shell-/environment specific ones, for more reusability.

This POD page gives an overview of the modules in Complete::*
namespace, establishes convention, and declares common settings.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.160.0-4pclos2017
- rebuild against updates

